Bug 112459 - init script fails to load socket driver on 2.6 kernel
init script fails to load socket driver on 2.6 kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-19 19:23 EST by Bastien Nocera
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-20 04:46:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
also check that the driver is loaded before not loading any modules (483 bytes, patch)
2003-12-19 19:25 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2003-12-19 19:23:47 EST
Description of problem:
On startup of a 2.6 kernel, the yenta_socket driver isn't loaded when
under 2.4 it is.

Version-Release number of selected component (if applicable):
kernel-pcmcia-cs-3.1.31-13

How reproducible:
Every time
  
On startup, the network script loads my PCMCIA WLAN card's driver, and
its dependencies, but not the socket driver (expected).
When the pcmcia script is launched, there's already a "pcmcia" entry
in /proc/devices which wouldn't be there under a 2.4 kernel.
So in addition to checking that pcmcia is present under /proc/devices,
it should check that the driver for the socket is loaded.

Trivial patch attached below.
Comment 1 Bastien Nocera 2003-12-19 19:25:02 EST
Created attachment 96647 [details]
also check that the driver is loaded before not loading any modules
Comment 2 Arjan van de Ven 2003-12-20 04:46:57 EST
patch added to package

Note You need to log in before you can comment on or make changes to this bug.